%define rname		alkimia
%define api		5
%define major		8
%define libname		%mklibname %{rname} %{api} %{major}
%define develname	%mklibname %{rname} -d

%define rel 1

Summary:	Financial library
Name:		libalkimia
Version:	8.1.1
Release:	%mkrel %{rel}
License:	LGPLv2+
Group:		Office/Finance
URL:		https://community.kde.org/Alkimia/libalkimia
Source0:	https://download.kde.org/stable/alkimia/%{version}/%{rname}-%{version}.tar.xz
BuildRequires:	doxygen
BuildRequires:	gmpxx-devel
BuildRequires:	mpir-devel
BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5Config)
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5Completion)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5Plasma)
BuildRequires:	cmake(KF5NewStuff)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5IconThemes)
BuildRequires:	cmake(KF5TextWidgets)
BuildRequires:	cmake(KF5XmlGui)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5WebEngineWidgets)

%description 
Financial library used by KMyMoney and Skrooge.

#-----------------------------------------------------------------------------

%package -n	plasma-applets-%{rname}
Summary:	Financial applets
Group:		Office/Finance

%description -n	plasma-applets-%{rname}
Financial applets for plasma desktop.

%files -n plasma-applets-%{rname} -f %{name}.lang
%{_kf5_bindir}/onlinequoteseditor5
%{_kf5_metainfodir}/org.wincak.foreigncurrencies2.appdata.xml
%{_kf5_datadir}/plasma/plasmoids/org.wincak.foreigncurrencies2
%{_kf5_applicationsdir}/org.kde.onlinequoteseditor5.desktop
%{_kf5_iconsdir}/*/*/apps/onlinequoteseditor5.*
%{_kf5_services}/plasma-applet-org.wincak.foreigncurrencies2.desktop
%{_qt5_qmldir}/org/kde/alkimia
%{_kf5_datadir}/knsrcfiles/*-quotes.knsrc
%{_kf5_metainfodir}/org.kde.onlinequoteseditor5.appdata.xml

#-----------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Financial library
Group:		Office/Finance
Obsoletes:	%{name} < 4.3.1-2
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
Financial library used by KMyMoney and Skrooge.

%files -n %{libname} -f %{name}.lang
%{_libdir}/%{name}%{api}.so.%{major}{,.*}

#-----------------------------------------------------------------------------

%package -n %{develname}
Summary:	Development files for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	gmpxx-devel
Obsoletes:	libalkimia-devel < 5.0.0-2

%description -n %{develname}
Development files for %{name}.

%files -n %{develname}
%{_libdir}/%{name}%{api}.so
%{_libdir}/pkgconfig/%{name}%{api}.pc
%{_libdir}/cmake/LibAlkimia%{api}-*/
%{_includedir}/%{rname}/

#-----------------------------------------------------------------------------

%prep
%setup -q -n %{rname}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %{name} --all-name


%changelog
* Tue Nov 15 2022 daviddavid <daviddavid> 8.1.1-1.mga9
+ Revision: 1907364
- new version: 8.1.1

* Thu Mar 04 2021 daviddavid <daviddavid> 8.1.0-1.mga9
+ Revision: 1698046
- new version: 8.1.0

* Thu Dec 17 2020 umeabot <umeabot> 8.0.3-4.mga8
+ Revision: 1658867
- Rebuild for new Qt5

* Thu May 28 2020 daviddavid <daviddavid> 8.0.3-3.mga8
+ Revision: 1588495
- switch appdata file to kf5_metainfo dir

* Wed Feb 19 2020 umeabot <umeabot> 8.0.3-2.mga8
+ Revision: 1544543
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 daviddavid <daviddavid> 8.0.3-1.mga8
+ Revision: 1483227
- new version: 8.0.3
+ wally <wally>
- build with new cmake macros

* Sun Oct 06 2019 zezinho <zezinho> 8.0.2-1.mga8
+ Revision: 1450016
- new version 8.0.2

* Sun Mar 31 2019 umeabot <umeabot> 7.0.2-3.mga7
+ Revision: 1383045
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 7.0.2-2.mga7
+ Revision: 1298752
- Mageia 7 Mass Rebuild

* Fri Apr 13 2018 daviddavid <daviddavid> 7.0.2-1.mga7
+ Revision: 1218426
- new version: 7.0.2

* Sat Mar 17 2018 daviddavid <daviddavid> 7.0.1-1.mga7
+ Revision: 1210120
- new version: 7.0.1

* Fri Feb 23 2018 daviddavid <daviddavid> 7.0-2.mga7
+ Revision: 1204340
- split out all Qt5 BRs
- fix requires from devel pkg
- obsoletes libalkimia-devel 5.0.0
- fix owner of include dir and cmake dir

* Fri Feb 23 2018 zezinho <zezinho> 7.0-1.mga7
+ Revision: 1204311
- add qt5 br
- new version 7 to build kmymoney 5

* Thu Jun 16 2016 zezinho <zezinho> 5.0.0-1.mga6
+ Revision: 1021761
- new version 5.0.0 needed for kmymoney 4.8.0

* Fri Jan 29 2016 umeabot <umeabot> 4.3.2-7.mga6
+ Revision: 928933
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.3.2-6.mga5
+ Revision: 740355
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.3.2-5.mga5
+ Revision: 681324
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 4.3.2-4.mga4
+ Revision: 506900
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 4.3.2-3.mga3
+ Revision: 356796
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 27 2012 zezinho <zezinho> 4.3.2-2.mga3
+ Revision: 322438
- fix rpm group

* Mon Jan 30 2012 zezinho <zezinho> 4.3.2-1.mga2
+ Revision: 203521
- new version
+ dmorgan <dmorgan>
- Clean spec file
  	- Remove %%clean section
  	- Remove default defattr()
  	- Remove rm -fr in %%install section
  Use major macro in the file list, to be sure to catch major change

* Sat Sep 24 2011 fwang <fwang> 4.3.1-2.mga2
+ Revision: 147210
- correct libname

* Fri Sep 23 2011 zezinho <zezinho> 4.3.1-1.mga2
+ Revision: 147102
- imported package libalkimia

